Scheduledupgrades
Request a cluster upgrade.
This endpoint is used to schedule or reschedule a cluster upgrade.
Using the request body, you can: • Specify a desired start date and time for the upgrade using the scheduleRequestDate property. • Indicate whether the scheduler should bypass configured maintenance windows using the ignoreMaintenanceSchedule property.
If ignoreMaintenanceSchedule is set to false, the scheduler will respect the configured maintenance windows and use the provided scheduleRequestDate as the starting point (“from date”) to determine the next available maintenance window.
Path Parameters
organisationSlug*
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.avisi.cloud/api/v1/orgs/slugValue,string/scheduled-cluster-upgrades" \ -H "Content-Type: application/json" \ -d '{ "clusterIdentity": "5e08fe67-1274-475d-bd0c-a65b0330507f", "version": "string" }'{
"identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5",
"clusterIdentity": "5e08fe67-1274-475d-bd0c-a65b0330507f",
"createdAt": "2019-08-24T14:15:22Z",
"modifiedAt": "2019-08-24T14:15:22Z",
"windowStart": "2019-08-24T14:15:22Z",
"windowEnd": "2019-08-24T14:15:22Z",
"reason": "string",
"fromClusterVersion": "string",
"toClusterVersion": "string",
"status": "REQUESTED",
"clusterSlug": "string",
"environmentSlug": "string",
"organisationSlug": "string",
"scheduleRequestDate": "2019-08-24T14:15:22Z",
"ignoreMaintenanceSchedule": true
}{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}{
"message": "string",
"details": [
"string"
]
}